import {
  _LoggerFromConfig
} from "./chunk-6Y6SHAML.js";
import {
  isBrowser
} from "./chunk-3YFOOUF5.js";
import {
  getGlobalLogger
} from "./chunk-XYJV3SSU.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-5CSLXI5R.js";
import {
  LoggerBrowserHandler
} from "./chunk-ARGGC4S7.js";
import {
  isEmpty
} from "./chunk-V5ZQ2SFQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-F6BC7VBR.js.map