import {
  LoggerNodeHandler,
  loggerStackTraceDebug
} from "../../chunk-DYTWZLOR.js";
import "../../chunk-X53COOJA.js";
import "../../chunk-QGUPJAJO.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-4C3OMNSX.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-NEFIJY6U.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/node/log/log-node.spec.ts
describe("log-node", () => {
  it("should color log", async () => {
    getGlobalLogger().setHandlers([LoggerNodeHandler()]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
  it("should find pattern", () => {
    getGlobalLogger().setHandlers([
      LoggerNodeHandler({
        level: LogLevelAll,
        filter: "*",
        stack: true
      })
    ]);
    const log = DefaultLogger("stack");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
});
//# sourceMappingURL=log-node.spec.js.map