import "../chunk-W7SXHTUN.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-WQPRL26Y.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-HDSJYWGU.js";
import "../chunk-WQJ47BZ7.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-RSB2DP4K.js";
import "../chunk-HOPWS6D4.js";
import "../chunk-OWFULLVR.js";
import "../chunk-YBJDAY56.js";
import "../chunk-TZ5CXZYL.js";
import "../chunk-2AXVHLEB.js";
import "../chunk-O7MQBX35.js";
import "../chunk-ZA5M5NJT.js";
import "../chunk-NUXB3GKS.js";
import "../chunk-KURNIGQP.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-ZG6VDVZD.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-LCRTQAGZ.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-G5QDKKDC.js";
import "../chunk-73CVRDI7.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-U2HB2W6R.js";
import "../chunk-XC5GAA5P.js";
import "../chunk-5DS3NT57.js";
import "../chunk-OHKABZ6C.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-SZJLXMYP.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-QGUPJAJO.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-TEDI6MZR.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-3YFOOUF5.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-4C3OMNSX.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-NEFIJY6U.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-BMPLIZZN.js";
import "../chunk-MMY72EVL.js";
import "../chunk-QAMZSJ27.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-OSX4VQOR.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-OC6HNIEN.js";
import "../chunk-BORRWM4T.js";
import "../chunk-HST4VI64.js";
import "../chunk-JRC62CQG.js";
import "../chunk-TRCJY7KG.js";
import "../chunk-L324TYGN.js";
import {
  arraySorted
} from "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-CDC2UKQU.js";
import "../chunk-XYJV3SSU.js";
import "../chunk-JZBMDET5.js";
import "../chunk-BFL67QFN.js";
import "../chunk-MFUX7YH7.js";
import "../chunk-MTV32UFZ.js";
import "../chunk-PMMHDI46.js";
import "../chunk-PN34O4SN.js";
import {
  LocalStorage
} from "../chunk-5YZ4MAM4.js";
import "../chunk-I45WP5PM.js";
import "../chunk-NNCJ3QL5.js";
import "../chunk-MIZOLME5.js";
import "../chunk-AQUNU3KH.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-CFICINSP.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/browser/localstorage.spec.ts
describe("localStorage", () => {
  it("should store data and read it again", () => {
    {
      const db = new LocalStorage({ name: "test" });
      db.clear();
      expect(db.allKeys()).toEqual([]);
      db.setItem("a", 1);
      db.setItem("b", { complex: [1, 2, "3"] });
      db.setItem("c", [0, 9, 8]);
      db.setItem("c", "Again!");
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
    }
    {
      const db = new LocalStorage({ name: "test" });
      expect(arraySorted(db.allKeys())).toEqual(["a", "b", "c"]);
      expect(db.getItem("a")).toEqual(1);
      expect(db.getItem("b")).toEqual({ complex: [1, 2, "3"] });
      expect(db.getItem("c")).toEqual("Again!");
      db.removeItem("b");
      expect(arraySorted(db.allKeys())).toEqual(["a", "c"]);
      db.clear();
      expect(db.allKeys()).toEqual([]);
    }
  });
});
//# sourceMappingURL=localstorage.spec.js.map